View Issue Details

IDProjectCategoryView StatusLast Update
0002837SOGoApple Calendar (Mac OS X)public2014-09-15 14:13
ReporterGunnar Weissmann Assigned Toludovic  
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSDebianOS Version7 (Wheezy)
Product Version2.2.6 
Target Version2.2.9Fixed in Version2.2.9 
Summary0002837: iCal 7.0 (OSX 10.9.4) delegation bug
Description

OS: OSX 10.9.4
Client: iCal 7.0 (1841.1)

When you want to select a delegate under iCal 7.0 under Calendar/Preferences/Accounts/Delegation/Edit only the last added account is shown when you reopen the edit-page.
All previously added accounts are removed.
It is also not possible to remove the last added account. The only possibility is to delete the account in the sogo webinterface.

The problem is, that you can not work with delegations in the last iCal version consequently.

This all works fine under iCal 6.0.

Thanks for your help!

Kind regards,

Gunnar Weissmann

Additional Information

SOGo Log

add delegate iCal 7.0

search username
Jul 03 18:20:45 sogod [571]: [WARN] |SOGo| principal-property-search: unhandled key '{http://calendarserver.org/ns/}first-name'
Jul 03 18:20:45 sogod [571]: [WARN] |SOGo| principal-property-search: unhandled key '{DAV:}displayname'
Jul 03 18:20:45 sogod [571]: [WARN] |SOGo| principal-property-search: unhandled key '{http://calendarserver.org/ns/}last-name'
127.0.0.1 - - [03/Jul/2014:18:20:45 GMT] "REPORT /SOGo/dav/ HTTP/1.0" 207 428/1322 0.025 1394 69% 336K

add a delagate
127.0.0.1 - - [03/Jul/2014:18:21:51 GMT] "PROPFIND /SOGo/dav/gunnarweissmann/ HTTP/1.0" 401 0/130 0.002 - - 0
127.0.0.1 - - [03/Jul/2014:18:21:51 GMT] "PROPFIND /SOGo/dav/gunnarweissmann/ HTTP/1.0" 207 934/130 0.003 - - 0
127.0.0.1 - - [03/Jul/2014:18:21:51 GMT] "PROPPATCH /SOGo/dav/gunnarweissmann/calendar-proxy-read/ HTTP/1.0" 207 272/202 0.076 - - 524K

reopen Account Page
127.0.0.1 - - [03/Jul/2014:18:22:30 GMT] "REPORT /SOGo/dav/gunnarweissmann/calendar-proxy-write/ HTTP/1.0" 401 0/399 0.005 - - 0
127.0.0.1 - - [03/Jul/2014:18:22:30 GMT] "REPORT /SOGo/dav/gunnarweissmann/calendar-proxy-write/ HTTP/1.0" 207 294/399 0.027 - - 4K
127.0.0.1 - - [03/Jul/2014:18:22:30 GMT] "REPORT /SOGo/dav/gunnarweissmann/calendar-proxy-read/ HTTP/1.0" 401 0/399 0.002 - - 0
127.0.0.1 - - [03/Jul/2014:18:22:30 GMT] "REPORT /SOGo/dav/gunnarweissmann/calendar-proxy-read/ HTTP/1.0" 207 942/399 0.013 - - 0

TagsNo tags attached.

Activities

Gunnar Weissmann

Gunnar Weissmann

2014-07-03 13:08

reporter  

sogo_delegation.jpg (27,946 bytes)   
sogo_delegation.jpg (27,946 bytes)   
ludovic

ludovic

2014-09-15 14:13

administrator   ~0007515

https://github.com/inverse-inc/sogo/commit/c5c2bfb7a6117b00d563bf0230fb435b6026972d

Issue History

Date Modified Username Field Change
2014-07-03 13:08 Gunnar Weissmann New Issue
2014-07-03 13:08 Gunnar Weissmann File Added: sogo_delegation.jpg
2014-09-12 11:23 ludovic Target Version => 2.2.9
2014-09-15 14:13 ludovic Note Added: 0007515
2014-09-15 14:13 ludovic Status new => resolved
2014-09-15 14:13 ludovic Fixed in Version => 2.2.9
2014-09-15 14:13 ludovic Resolution open => fixed
2014-09-15 14:13 ludovic Assigned To => ludovic
2014-09-26 14:08 ludovic Category Apple iCal.app => Apple Calendar (Mac OS X)